var tpsLave = 0;

var shape1 = Model();
var shape2 = Model();
var shape3 = Model();

shape1.addBoxExpanded("body1", -8, -6, -10, 15, -4, 20, 0, 0, 0.0);
shape2.addBoxExpanded("body2", -7, -5, -9, 13, -4, 18, 0, 0, 0.0);
shape3.addBoxExpanded("body3", -6, -4, -9, 11, -4, 15, 0, 0, 0.0);

shape1.y = 0.7;
shape2.y = 0.7;
shape3.y = 0.7;

var eye1 = Model();
eye1.addBoxExpanded("eye1", 2, 6, 5, 1, 3, 1, 0, 0, 0.0);
eye1.addBoxExpanded("eye2", -4, 6, 5, 1, 3, 1, 0, 0, 0.0);
eye1.setRotation(0,10,0);

var eye2 = Model();
eye2.addBoxExpanded("eye1", 2, 10, -2, 1, 3, 1, 0, 0, 0.0);
eye2.addBoxExpanded("eye2", -4, 10, -2, 1, 3, 1, 0, 0, 0.0);
eye2.setRotation(0,50,0);

// Assign texture
shape1.texture = "/models/mob/Slug.png";
shape2.texture = "/models/mob/Slug.png";
shape3.texture = "/models/mob/Slug.png";
eye1.texture = "/models/mob/eye.png";
eye2.texture = "/models/mob/eye.png";
entity.texture = "/models/none.png";

// Attach to this entity
shape1.attachedTo = entity;
shape2.attachedTo = entity;
shape3.attachedTo = entity;
eye1.attachedTo = entity;
eye2.attachedTo = entity;// Create the model
var tpsLave = 0;




	